QGIS Application - Bug report #504

version 0.8 crashes before opening on mac intel.

2007-01-01 10:24 AM - anonymous -

Status: Closed
Priority: Low
Assignee: nobody -
Category: Build/Install

Affected QGIS version:
Operating System: OS X
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10563

Description

i am using an intel mac with mac ox 10.4.8 with grass 6.1. i have been using the preview version of .8 with full grass support and
everything was working right. however when i download the full version of .8 it could not even start.

thanks

History

#1 - 2007-01-02 02:48 AM - Redmine Admin

Please try again with GRASS 6.2.1 and give us more detail.

#2 - 2007-01-03 03:00 AM - lucien-schreiber-gmail-com -

| have the same problem with the 0.8 release and the crash log says :

_Date/Time:  2007-01-03 11:49:14.967 +0100
OS Version:  10.4.8 (Build 8N1106)
Report Version: 4

Command: qgis
Path: /Applications/qgis.app/Contents/MacOS/qgis
Parent: [[WindowServer]] commit:e5dcf76d (SVN r58)

Version: 0.8.0 (6361) (0.8.0)

PID: 256
Thread: Unknown

Link (dyld) error:

Symbol not found: +ZN14QgsRasterLayer21setSubLayerVisibilityERK7QStringb
Referenced from: /Applications/qgis.app/Contents/MacOS/lib/libqgis_raster.1.dylib

Expected in: flat namespace_

It seems to be a problem with a included lib

Cheers
Lucien

#3 - 2007-01-04 06:22 AM - m-doering-bgbm-org -

same problem here on a macbook.
Markus

Date/Time:  2007-01-04 15:10:47.873 +0100

OS Version:  10.4.8 (Build 8L2127)

Report Version: 4

Command: qgis

Path: /Users/markus/Desktop/qgis-0.8.0/qgis.app/Contents/MacOS/qgis
Parent: [[WindowServer]] commit:26ac9f2a (SVN r60)

Version: 0.8.0 (6361) (0.8.0)

PID: 405

Thread: Unknown

Link (dyld) error:

Symbol not found: +ZN14QgsRasterLayer21setSubLayerVisibilityERK7QStringb

Referenced from: /Users/markus/Desktop/qgis-0.8.0/qgis.app/Contents/MacOS/lib/libqgis_raster.1.dylib

Expected in: flat namespace

#4 - 2007-01-09 09:24 PM - Gary Sherman

A new universal binary was uploaded January 7th. Please try it.

#5 - 2007-01-10 02:16 AM - lucien-schreiber-gmail-com -

- Status changed from Open to Closed

- Resolution set to fixed

It works now,

Thank you

#6 - 2007-01-12 06:52 AM - robert-huber-postfinance-ch -

Hi All

| have the same problem, can't start up and same error message with the missing lib.

Best regards, Robert

Replying to [comment:3 lucien.schreiber@gmail.com]:
| have the same problem with the 0.8 release and the crash log says :
_Date/Time:  2007-01-03 11:49:14.967 +0100

OS Version:  10.4.8 (Build 8N1106)

Report Version: 4

Command: qgis

Path: /Applications/qgis.app/Contents/MacOS/qgis

Parent: [[WindowServer]] commit:e5dcf76d (SVN r58)

Version: 0.8.0 (6361) (0.8.0)

PID: 256
Thread: Unknown

Link (dyld) error:

Symbol not found: +ZN14QgsRasterlLayer21setSubLayerVisibilityERK7QStringb
Referenced from: /Applications/qgis.app/Contents/MacOS/lib/libqgis_raster.1.dylib
Expected in: flat namespace

It seems to be a problem with a included lib

Cheers

Lucien

#7 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
